# Uses of Class
org.eclipse.jdt.core.dom.VariableDeclarationExpression

Packages that use VariableDeclarationExpression
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of VariableDeclarationExpression in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return VariableDeclarationExpression
Modifier and Type
Method
Description
`VariableDeclarationExpression`
AST.`newVariableDeclarationExpression(VariableDeclarationFragment fragment)`
Creates a new unparented local variable declaration expression node owned by this AST, for the given variable declaration fragment.
Methods in org.eclipse.jdt.core.dom with parameters of type VariableDeclarationExpression
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(VariableDeclarationExpression node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(VariableDeclarationExpression node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(VariableDeclarationExpression node)`
Visits the given type-specific AST node.